> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unload the topic with the given topic_name. 

> Unloads a topic from memory on the broker, releasing resources while preserving data. This operation is useful for reducing memory usage on topics that are not actively being used.



## OpenAPI

````yaml put /admin/v1/topics/{topicName}/unload
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/topics/{topicName}/unload:
    put:
      tags:
        - ksn-topics
      summary: 'Unload the topic with the given topic_name. '
      description: >-
        Unloads a topic from memory on the broker, releasing resources while
        preserving data. This operation is useful for reducing memory usage on
        topics that are not actively being used.
      operationId: unloadTopic
      parameters:
        - name: topicName
          in: path
          description: >-
            The topic name format is `tenant.namespace.topic`. Or topic with
            specific partition can be unloaded by using
            `tenant.namespace.topic-partition` format.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Topic unloaded successfully
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error

````